;;; -*- Mode: lisp -*-

(defpackage #:infix-system
  (:use #:cl #:asdf))

(in-package #:infix-system)

(defclass mk-defsystem-source-file (static-file) ())
(defclass manual-page-source-file (static-file) ())
(defclass changelog-source-file (static-file) ())
(defclass licence-source-file (static-file) ())

(defclass deb-module (module)
  ((short-description :initarg :short-description :accessor short-description)
   (long-description :initarg :long-description :accessor long-description)
   (debian-maintainer :initarg :debian-maintainer :accessor debian-maintainer)
   (debian-dependencies :initarg :debian-dependencies :initform nil :accessor debian-dependencies)))

(defsystem infix
  :class deb-module
  :version "19960628.2"
  :short-description "An infix reader macro for Common Lisp"
  :long-description "An infix reader macro for Common Lisp, allowing use of more traditional mathematical syntaxes in CL programmes."
  :debian-maintainer "Christophe Rhodes <csr21@cam.ac.uk>"
  :components ((:file "infix")
	       (:manual-page-source-file "infix.3lisp")
	       (:changelog-source-file "ChangeLog")
	       (:mk-defsystem-source-file "infix.system")
	       (:licence-source-file "COPYING")))

(defmethod source-file-type ((f cl-source-file) (s (eql (find-system 'infix))))
  "cl")